Ocena wątku:
  • 0 głosów - średnia: 0
  • 1
  • 2
  • 3
  • 4
  • 5
Fanfilm - nie działające źródła - problem z js2py
#1
Ostatnio pojawiają się problemy z niedziałającymi źródłami w FanFilm (m.in. By zobaczyć linki musisz się zalogować lub zarejestrować.)
Powodów może być wiele, zaś ten poradnik ma się skupić nad problemem "js2py".
Zależność js2py jest wykorzystywana przez m.in FanFilm i przez wtyczki od mbebe. Jej nieprawidłowa wersja może powodować właśnie problem z niedziałającymi źródłami.

Skąd to w ogóle mam

Problem pojawia się przy zainstalowaniu nieprawidłowej wersji dodatku js2py. Skąd się on wziął w nieprawidłowej wersji? Otóż autorzy repozytorium KodiBalkan, Balkan Green, Robin Hood - jedno repozytorium pod różnymi nazwami) w którym znajduje się wtyczka RobinHood umożliwiająca oglądanie TV, nie radząc sobie z nowszą wersją js2py wpadli na pomysł że sztucznie zmienią numer z jakiejś wersji która im działała sprzed roku na wyższy, przez co nadinstalują u użytkowników oryginalną, sprawną wersję, swoją niedoróbką. Genialne, prawda? Co tam że inne wtyczki mogą nie działać. Nasza działa i to jest ważne. I tak powstaje piekło zależności...


Diagnostyka i naprawa zależności

Oczywiście zakładam że FanFilm mamy zainstalowany z oficjalnego źródła - zgodnie z poradnikiem By zobaczyć linki musisz się zalogować lub zarejestrować. ze strony kodiwpigulce.pl

Wchodzimy w opcje wtyczki FanFilm (prawy klawisz myszy/przycisk opcji na pilocie/długo OK na pilocie/C na klawiaturze) i wybieramy Informacje

[Obrazek: mkjutIPl.png]

następnie wchodzimy w Zależności

[Obrazek: 7OKO3zQl.png]

przewijamy szukając js2py

[Obrazek: WomVv2wl.png]

i klikamy Enter lub OK i wybieramy opcję Aktualizuj

[Obrazek: X8KJxkJl.png]

pojawi nam się lista z dostępnymi wersjami z różnych repozytoriów:

[Obrazek: 5oIbR6rl.png]

Jak widać u mnie jest zainstalowana zła wersja - 6.02.2 z repozytorium Robin Hood Repository.
Poniżej jest widoczna wersja z repozytorium FanFilm.

W tym miejscu należy wybrać aktualizację z repozytorium FanFilm, jednakże trzeba pamiętać o odinstalowaniu tego repozytorium które powoduje problem.
Jak to zrobić?

Odinstalowanie repozytorium

Wchodzimy w dodatki:

[Obrazek: UxUbt03l.png]

wybieramy "paczuszkę"

[Obrazek: 3SwA7dJl.png]

wybieramy Zainstaluj z repozytorium

[Obrazek: pcIlvRul.png]

i następnie na wybranym repozytorium klikamy opcje (prawy klawisz myszy/przycisk opcji na pilocie/długo OK na pilocie/C na klawiaturze) i wybieramy Informacje

[Obrazek: FRXfXK9l.png]

i wywalamy repozytorium:

[Obrazek: PbztAKUl.png]

Następnie restartujemy kodi, powinno wszystko się samo naprawić, oczywiście należy sprawdzić czy wersja js2py jest prawidłowa po tej czynności.

Jeśli jednak dalej wyświetla się aktualizacja, należy wymusić ręcznie aktualizację repozytoriów.
A więc znowu wchodzimy w dodatki

[Obrazek: UxUbt03l.png]

wybieramy "paczuszkę"

[Obrazek: 3SwA7dJl.png]

A następnie menu boczne (klawisz w lewo na pilocie/klawisz w lewo na klawiaturze)

[Obrazek: 047TH5dl.png]

z którego wybieramy Wyszukaj aktualizacje i aktualizujemy wtyczki.

Podziękowali: dwksc1906, tiger67
"Mym sojusznikiem jest Moc, i potężnym sojusznikiem ona jest." -- Mistrz Yoda

Savio TV Box Gold + Coreelec 9.2 =  Angel
REKLAMA:





Skocz do:


Użytkownicy przeglądający ten wątek: 1 gości